org.apache.tomcat.websocket

## Interface ClientEndpointHolder

- All Known Implementing Classes:
    EndpointClassHolder, EndpointHolder, PojoClassHolder, PojoHolder

      public interface ClientEndpointHolder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()`
    `Endpoint` | `getInstance(InstanceManager instanceManager)`

- - ### Method Detail

    - #### getClassName

          String getClassName()

    - #### getInstance

          Endpoint getInstance(InstanceManager instanceManager)
                               throws DeploymentException

      Throws:
        `DeploymentException`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.